--- src/svnqt/CMakeLists.txt.orig	2012-09-21 21:59:38.000000000 -0500
+++ src/svnqt/CMakeLists.txt	2012-09-21 21:59:39.000000000 -0500
@@ -202,9 +202,6 @@
     SOVERSION ${LIB_MAJOR}
     VERSION ${_soversion})
 
-SET(ALL_LINKFLAGS ${APR_EXTRA_LIBFLAGS})
-SET(ALL_LINKFLAGS "${ALL_LINKFLAGS} ${APU_EXTRA_LIBFLAGS}")
-
 IF(WIN32 OR APPLE)
     SET_TARGET_PROPERTIES(${svnqt-name} PROPERTIES LINK_FLAGS "${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
 ELSE(WIN32 OR APPLE)
--- src/svnqt/cmakemodules/FindSubversion.cmake.orig	2010-12-10 10:30:20.000000000 -0500
+++ src/svnqt/cmakemodules/FindSubversion.cmake	2010-12-10 10:31:41.000000000 -0500
@@ -90,21 +90,31 @@
 
   EXECUTE_PROCESS(COMMAND ${APR_CONFIG} "--link-ld" "--libs" OUTPUT_VARIABLE APR_LIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
   STRING(REGEX REPLACE "^ +" "" APR_LIBS "${APR_LIBS}")
-  MESSAGE(STATUS "Found apr libs: ${APR_LIBS}")
-  SET(SUBVERSION_ALL_LIBS ${SUBVERSION_ALL_LIBS} ${APR_LIBS})
 
   EXECUTE_PROCESS(COMMAND ${APR_CONFIG} "--ldflags" OUTPUT_VARIABLE APR_EXTRA_LDFLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
   STRING(REGEX REPLACE "^ +" "" APR_EXTRA_LDFLAGS "${APR_EXTRA_LDFLAGS}")
-  MESSAGE(STATUS "Found apr extra ldflags: ${APR_EXTRA_LDFLAGS}")
+  #MESSAGE(STATUS "Found apr extra ldflags: ${APR_EXTRA_LDFLAGS}")
 
   EXECUTE_PROCESS(COMMAND ${APU_CONFIG} "--link-ld" "--libs" OUTPUT_VARIABLE APU_LIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
   STRING(REGEX REPLACE "^ +" "" APU_LIBS "${APU_LIBS}")
-  MESSAGE(STATUS "Found apu libs: ${APU_LIBS}")
-  SET(SUBVERSION_ALL_LIBS ${SUBVERSION_ALL_LIBS} ${APU_LIBS})
 
   EXECUTE_PROCESS(COMMAND ${APU_CONFIG} "--ldflags" OUTPUT_VARIABLE APU_EXTRA_LDFLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
   STRING(REGEX REPLACE "^ +" "" APU_EXTRA_LDFLAGS "${APU_EXTRA_LDFLAGS}")
-  MESSAGE(STATUS "Found apu extra ldflags: ${APU_EXTRA_LDFLAGS}")
+  #MESSAGE(STATUS "Found apu extra ldflags: ${APU_EXTRA_LDFLAGS}")
+
+  # set APR and APU libs to include extra LDFLAGS for just them.
+  # putting this into "ALL_LINKFLAGS" (as the original did below)
+  # results in those -L flags being first in the search list, which is
+  # undesirable in general.  In this way, those -L flags are included
+  # only with the actual libraries (e.g., -lapr), so the placement is
+  # correct.
+  SET(APR_LIBS "${APR_EXTRA_LDFLAGS} ${APR_LIBS}")
+  SET(APU_LIBS "${APU_EXTRA_LDFLAGS} ${APU_LIBS}")
+
+  MESSAGE(STATUS "Found apr libs: ${APR_LIBS}")
+  SET(SUBVERSION_ALL_LIBS ${SUBVERSION_ALL_LIBS} ${APR_LIBS})
+  MESSAGE(STATUS "Found apu libs: ${APU_LIBS}")
+  SET(SUBVERSION_ALL_LIBS ${SUBVERSION_ALL_LIBS} ${APU_LIBS})
 
   CHECK_INCLUDE_FILES(execinfo.h HAS_BACKTRACE_H)
 
